# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "muonts"
version = "0.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Timeseries models in rust"
homepage = "https://github.com/clsdaniel/muonts"
readme = "README.md"
keywords = [
    "timeseries",
    "forecasting",
    "ml",
    "machine-learning",
    "deep-learning",
]
categories = [
    "science",
    "mathematics",
]
license = "Apache-2.0"
repository = "https://github.com/clsdaniel/muonts"

[lib]
name = "muonts"
path = "src/lib.rs"

[dependencies.burn]
version = "0.21"
features = [
    "ndarray",
    "train",
    "autodiff",
]

[dependencies.serde]
version = "1.0.193"

[dependencies.tracing]
version = "0.1.40"
